
Redmine - Defect #16051

Delete Issue - Internal Error

2014-02-08 00:51 - James H

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.2

Description

I am getting an error whenever I try to delete issues.

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

 Here is what happens in the log.

Started DELETE "/issues/69" for 127.0.0.1 at 2014-02-07 15:24:20 -0800

Processing by IssuesController#destroy as HTML

Parameters: {"authenticity_token"=>"YqMTDOir6KSSNrAKGjMihlJUaGq85X4V+zZrNtenQ+Y=", "id"=>"69"}

Current user: jsh562 (id=3)

Completed 500 Internal Server Error in 20.0ms

SystemStackError (stack level too deep):

activesupport (3.2.16) lib/active_support/callbacks.rb:409

 - Redmine

2.4.x

- Ruby implementation and version

ruby 1.9.3p484

- Rails version (rails --version)

rails 3.2.16

- Operating system (precise if you're using cygwin when running on Windows)

win 7

- Database used, and its version

mysql 5.6

- Ruby-aware server used: Webrick, Mongrel, Thin, etc. If you don't understand this point, you're using Webrick.

Thin

History

#1 - 2014-02-08 01:30 - James H

Used to work fine before.

Not sure if anything in particular caused this to happen, but some recent changes are:

I used the database to delete an entry in the projects table to see what happens.

I used the database to set a value in the issues table to see what happens.

After trying to install some plugins (and having some subsequent failures), I uninstalled the plugins.

Currently, I have tried reinstalling Ruby + gems and overwriting all redmine files with originals (and re-configuring).

Thanks

#2 - 2014-02-08 15:51 - Jan Niggemann (redmine.org team member)
- Status changed from New to Closed

- Resolution set to Invalid

Please don't mess with the database if you're not 100% positive that you're not breaking something.

The Defect tracker is only for actual bugs, please use the forums to ask for help.

#3 - 2014-02-10 17:09 - James H

okay, well i also dropped the database completely and restored it, using 2 different older dates that were known to work for sure, so im pretty sure that

would have cleared any database inconsistencies up, unless editing the database causes code changes in redmine's files.

Also i have some Microsoft certified training in MS SQL Server so i feel like I know how to mess with databases to some extent, since I was a

database architect and developer.

pretty sure there are other "defects" that were posted that were similar to this but not exact, and many of them do not solve my "defect"/issue (or even

theirs for that matter).

Thought this was more for documenting and finding out about possible problems people have? Should i be posting all "defects" in the forums until i

confirm they are a "defect" from a random forum member?

Pretty sure if you asked me more questions about my situation, theres more to be had, instead of just blindly closing it out according to your first

glance.

maybe instead of telling me to go to the forums, if you would go to the forums where i did ask for help on something and answered things there, i

might be more inclined to continue to use the forums as well? who knows just throwing things out in the dark.

Great effort thanks.
